* PACKAGE DSPHE  !" 力学 球面調和 - チェビシェフ変換
*
**********************************************************************
      SUBROUTINE C2G   !" 球面調和 - チェビシェフ変換(スペクトル→格子)
     M         ( GDATA ,
     I           CDATA ,
     I           HGRAD , HFUNC , KMAXD )
*
*   [PARAM] 
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数，波数
#else
#include        "zcdim.F"                    !" 格子点数，波数
#endif
*
      INTEGER    KMAXD
*
*   [MODIFY] 
      REAL       GDATA ( IDIM*JDIM, KMAXD )  !" 格子点データ
*
*   [INPUT] 
      REAL       CDATA ( NMDIM, KMAXD    )   !" スペクトル-チェビシェフ
      CHARACTER  HGRAD*4                     !" 微分フラグ
      CHARACTER  HFUNC*4                     !" 符号フラグ
*
*   [INTERNAL WORK] 
      COMMON /COMWRK/ WDATA
      REAL       WDATA ( IDIM*JDIM, KMAX )   !" スペクトルデータ
*
*
      CALL C2W
     O         ( WDATA ,
     I           CDATA ,
     I           HGRAD , HFUNC , KMAXD )
*
      CALL W2G
     M         ( GDATA ,
     I           WDATA ,
     I           HGRAD , HFUNC , KMAXD )
*
      RETURN
*======================================================================
      ENTRY      G2C    !" 球面調和 - チェビシェフ変換(格子→スペクトル) 
     M         ( CDATA ,
     I           GDATA ,
     I           HGRAD , HFUNC , KMAXD )
*
      CALL G2W
     O         ( WDATA ,
     I           GDATA ,
     I           HGRAD , HFUNC , KMAXD )
*
      CALL W2C
     M         ( CDATA ,
     I           WDATA ,
     I           HGRAD , HFUNC , KMAXD )
*
      RETURN
      END
